summaryrefslogtreecommitdiff
path: root/cross-make-mingw64.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cross-make-mingw64.sh')
-rwxr-xr-xcross-make-mingw64.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/cross-make-mingw64.sh b/cross-make-mingw64.sh
index d480c266..16c3d5da 100755
--- a/cross-make-mingw64.sh
+++ b/cross-make-mingw64.sh
@@ -1,22 +1,26 @@
#!/bin/sh
+# Note: This works in Linux and cygwin
+
CMD_PREFIX="amd64-mingw32msvc x86_64-w64-mingw32";
if [ "X$CC" = "X" ]; then
for check in $CMD_PREFIX; do
full_check="${check}-gcc"
- if [ ! $(which "$full_check") = "" ]; then
- export CC="$full_check"
- fi
+ which "$full_check" > /dev/null 2>&1
+ if [ "$?" = "0" ]; then
+ export CC="$full_check"
+ fi
done
fi
if [ "X$WINDRES" = "X" ]; then
for check in $CMD_PREFIX; do
full_check="${check}-windres"
- if [ ! $(which "$full_check") = "" ]; then
- export WINDRES="$full_check"
- fi
+ which "$full_check" > /dev/null 2>&1
+ if [ "$?" = "0" ]; then
+ export WINDRES="$full_check"
+ fi
done
fi